openapi: 3.1.0
info:
  title: URL Screenshot
  description: Take screenshot of any URL.
  version: v1.0.0
servers:
  - url: https://api.chat.buxo.ca
paths:
  /api/scraper/screenshot:
    post:
      operationId: URLScreenshot
      description: Website screenshot from a given URL.
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  description: The URL to take screenshot from.
              required:
                - url
      responses:
        '200':
          description: Screenshot taken successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  content:
                    type: string
                    description: The scraped PDF content.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
